ReferenceError: ew_UseOptionTemplate is not defined

This public forum is for user-to-user discussions of PHP Report Maker. Note that this is not support forum.

ReferenceError: ew_UseOptionTemplate is not defined

Postby agnerallan » Fri Sep 15, 2017 3:31 am

Hi!

I have a project in PHP Report Maker (v. 10.0.2) in compatibility with PHP Maker (v. 2017.0.7), but in the generation of project in PHP Report Maker the following error occurs:

"ReferenceError: ew_UseOptionTemplate is not defined
at ewExrptheader (C:\Users\allanagner\Documents\PHPReportMaker\Templates\phprpt100\cache\rptheader_other.js:263:41)
at generateFile (C:\Users\allanagner\Documents\PHPReportMaker\Templates\phprpt100\cache\vendasporhora.js:48:52)
at Object.<anonymous> (C:\Users\allanagner\Documents\PHPReportMaker\Templates\phprpt100\cache\vendasporhora.js:155:1)
at Module._compile (module.js:556:32)
at Object.Module._extensions..js (module.js:565:10)
at Module.load (module.js:473:32)
at tryModuleLoad (module.js:432:12)
at Function.Module._load (module.js:424:3)
at Module.runMain (module.js:590:10)
at run (bootstrap_node.js:394:7)"

I already updated the template, but it did not work... I've already cleared the cache...
agnerallan
 
Posts: 2
Joined: Fri Sep 15, 2017 3:22 am

Re: ReferenceError: ew_UseOptionTemplate is not defined

Postby Webmaster » Fri Sep 15, 2017 9:38 am

The current version of PHP Report Maker is 10.0.3. Please download the latest version, uninstall and install again. See if it fix the issue.

Note that PHPMaker 2018 is released. If possible, upgrade to the latest version also.
Webmaster
 
Posts: 10734
Joined: Fri Aug 06, 2004 5:59 pm

Re: ReferenceError: ew_UseOptionTemplate is not defined

Postby agnerallan » Wed Sep 20, 2017 2:48 am

I solved this question after update to version 10.0.3.

Thank's.
agnerallan
 
Posts: 2
Joined: Fri Sep 15, 2017 3:22 am


Return to General Discussion (PHP Report Maker)